;-| Button Remapping |-----------------------------------------------------
; This section lets you remap the player's buttons (to easily change the
; button configuration). The format is:
;   old_button = new_button
; If new_button is left blank, the button cannot be pressed.
[Remap]
x = x
y = y
z = z
a = a
b = b
c = c
s = s

;-| Default Values |-------------------------------------------------------
[Defaults]
; Default value for the "time" parameter of a Command. Minimum 1.
command.time = 30

; Default value for the "buffer.time" parameter of a Command. Minimum 1,
; maximum 30.
command.buffer.time = 1

;-| Super Motions |--------------------------------------------------------
; 7-Slash Sabre Combo
[Command]
name = "7sabre"
command = x, x, F, a, z
time = 50

; Reverse Ultimate Raging Omega Slash Combo
[Command]
name = "omegasabre"
command = z, a, F, x, x
time = 50

;-| Special Motions |------------------------------------------------------


;-| Double Tap |-----------------------------------------------------------
[Command]
name = "FF"     ;Required (do not remove)
command = F, F
time = 10

[Command]
name = "FF"
command = ~B, F
time = 10

[Command]
name = "BB"     ;Required (do not remove)
command = B, B
time = 10

[Command]
name = "BB"
command = ~F, B
time = 10

;-| 2/3 Button Combination |-----------------------------------------------
[Command]
name = "recovery" ;Required (do not remove)
command = x+y
time = 1

[Command]
name = "recovery"
command = y+z
time = 1

[Command]
name = "recovery"
command = x+z
time = 1

[Command]
name = "recovery"
command = a+b
time = 1

[Command]
name = "recovery"
command = b+c
time = 1

[Command]
name = "recovery"
command = a+c
time = 1

;-| Dir & Button |---------------------------------------------------------
[Command]
name = "back_x"
command = /$B,x
time = 1

[Command]
name = "back_y"
command = /$B,y
time = 1

[Command]
name = "back_z"
command = /$B,z
time = 1

[Command]
name = "down_x"
command = /$D,x
time = 1

[Command]
name = "down_y"
command = /$D,y
time = 1

[Command]
name = "down_z"
command = /$D,z
time = 1

[Command]
name = "fwd_x"
command = /$F,x
time = 1

[Command]
name = "fwd_y"
command = /$F,y
time = 1

[Command]
name = "fwd_z"
command = /$F,z
time = 1

[Command]
name = "up_x"
command = /$U,x
time = 1

[Command]
name = "up_y"
command = /$U,y
time = 1

[Command]
name = "up_z"
command = /$U,z
time = 1

[Command]
name = "back_a"
command = /$B,a
time = 1

[Command]
name = "back_b"
command = /$B,b
time = 1

[Command]
name = "back_c"
command = /$B,c
time = 1

[Command]
name = "down_a"
command = /$D,a
time = 1

[Command]
name = "down_b"
command = /$D,b
time = 1

[Command]
name = "down_c"
command = /$D,c
time = 1

[Command]
name = "fwd_a"
command = /$F,a
time = 1

[Command]
name = "fwd_b"
command = /$F,b
time = 1

[Command]
name = "fwd_c"
command = /$F,c
time = 1

[Command]
name = "up_a"
command = /$U,a
time = 1

[Command]
name = "up_b"
command = /$U,b
time = 1

[Command]
name = "up_c"
command = /$U,c
time = 1

;-| Dir + Button |---------------------------------------------------------
[Command]
name = "back+x"
command = $B,x
time = 5

[Command]
name = "back+y"
command = $B,y
time = 5

[Command]
name = "back+z"
command = $B,z
time = 5

[Command]
name = "down+x"
command = $D,x
time = 5

[Command]
name = "down+y"
command = $D,y
time = 5

[Command]
name = "down+z"
command = $D,z
time = 5

[Command]
name = "fwd+x"
command = F,x
time = 5

[Command]
name = "fwd+y"
command = $F,y
time = 5

[Command]
name = "fwd+z"
command = $F,z
time = 5

[Command]
name = "up+x"
command = $U,x
time = 5

[Command]
name = "up+y"
command = $U,y
time = 5

[Command]
name = "up+z"
command = $U,z
time = 5

[Command]
name = "back+a"
command = $B,a
time = 5

[Command]
name = "back+b"
command = $B,b
time = 5

[Command]
name = "back+c"
command = $B,c
time = 5

[Command]
name = "down+a"
command = $D,a
time = 5

[Command]
name = "down+b"
command = $D,b
time = 5

[Command]
name = "down+c"
command = $D,c
time = 5

[Command]
name = "fwd+a"
command = $F,a
time = 5

[Command]
name = "fwd+b"
command = $F,b
time = 5

[Command]
name = "fwd+c"
command = $F,c
time = 5

[Command]
name = "up+a"
command = $U,a
time = 5

[Command]
name = "up+b"
command = $U,b
time = 5

[Command]
name = "up+c"
command = $U,c
time = 5

;-| Single Button |---------------------------------------------------------
[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "c"
command = c
time = 1

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "z"
command = z
time = 1

[Command]
name = "s"
command = s
time = 1

;-| Single Dir |------------------------------------------------------------
[Command]
name = "fwd" ;Required (do not remove)
command = $F
time = 1

[Command]
name = "downfwd"
command = $DF
time = 1

[Command]
name = "down" ;Required (do not remove)
command = $D
time = 1

[Command]
name = "downback"
command = $DB
time = 1

[Command]
name = "back" ;Required (do not remove)
command = $B
time = 1

[Command]
name = "upback"
command = $UB
time = 1

[Command]
name = "up" ;Required (do not remove)
command = $U
time = 1

[Command]
name = "upfwd"
command = $UF
time = 1

;-| Hold Button |--------------------------------------------------------------
[Command]
name = "hold_x"
command = /x
time = 1

[Command]
name = "hold_y"
command = /y
time = 1

[Command]
name = "hold_z"
command = /z
time = 1

[Command]
name = "hold_a"
command = /a
time = 1

[Command]
name = "hold_b"
command = /b
time = 1

[Command]
name = "hold_c"
command = /c
time = 1

[Command]
name = "hold_s"
command = /s
time = 1

;-| Hold Dir |--------------------------------------------------------------
[Command]
name = "holdfwd" ;Required (do not remove)
command = /$F
time = 1

[Command]
name = "holddownfwd"
command = /$DF
time = 1

[Command]
name = "holddown" ;Required (do not remove)
command = /$D
time = 1

[Command]
name = "holddownback"
command = /$DB
time = 1

[Command]
name = "holdback" ;Required (do not remove)
command = /$B
time = 1

[Command]
name = "holdupback"
command = /$UB
time = 1

[Command]
name = "holdup" ;Required (do not remove)
command = /$U
time = 1

[Command]
name = "holdupfwd"
command = /$UF
time = 1

;---------------------------------------------------------------------------
; Don't remove the following line. It's required by the CMD standard.
[Statedef -1]

;===== Contact/Hit/Guard =====
;----- MoveContact -----
[State -1, VarSet]
type = VarSet
trigger1 = Time <= 1
trigger2 = StateTime <= 1
ignorehitpause = 1
v = 15
value = 0

[State -1, VarAdd]
type = VarAdd
trigger1 = MoveContact
ignorehitpause = 1
v = 15
value = 1
;--------------------

;----- MoveHit -----
[State -1, VarSet]
type = VarSet
trigger1 = Time <= 1
trigger2 = StateTime <= 1
ignorehitpause = 1
v = 16
value = 0

[State -1, VarAdd]
type = VarAdd
trigger1 = MoveHit
ignorehitpause = 1
v = 16
value = 1
;--------------------

;----- MoveGuarded -----
[State -1, VarSet]
type = VarSet
trigger1 = Time <= 1
trigger2 = StateTime <= 1
ignorehitpause = 1
v = 17
value = 0

[State -1, VarAdd]
type = VarAdd
trigger1 = MoveGuarded
ignorehitpause = 1
v = 17
value = 1
;--------------------
;=========================

;====================
; AI is Activated
[State -1, VarSet]
type = VarSet
triggerall = Ctrl
triggerall = RoundState = 2
trigger1 = PalNo > 6
trigger2 = Var(21) > 0
trigger3 = IsHomeTeam = 1
trigger3 = TeamSide = 2
trigger4 = IsHomeTeam = 1
trigger4 = MatchNo > 1
ignorehitpause = 1
v = 20
value = -1

[State -1, VarRandom]
type = VarRandom
triggerall = RoundState = 2
trigger1 = Var(20) < 0
ignorehitpause = 1
v = 21
range = 0,9

;----- H. Moves -----
[State -1, State]
type = ChangeState
triggerall = StateNo <= 0
triggerall = P2Dist X > 125
triggerall = StateType != A
triggerall = MoveType = I
triggerall = RoundState = 2
triggerall = Var(20) < 0
trigger1 = Var(21) = 9
value = 2000
;--------------------

;----- S. Moves -----
[State -1, State]
type = ChangeState
triggerall = StateNo <= 0
triggerall = P2Dist X > 125
triggerall = P2Dist X < 250
triggerall = StateType != A
triggerall = MoveType = I
triggerall = RoundState = 2
triggerall = Var(20) < 0
trigger1 = Var(21) = 8
value = 1100

[State -1, State]
type = ChangeState
triggerall = StateNo <= 0
triggerall = P2Dist X <= 125
triggerall = StateType != A
triggerall = MoveType = I
triggerall = RoundState = 2
triggerall = Var(20) < 0
trigger1 = Var(21) = 7
value = 1000
;--------------------

;----- N. Moves -----
[State -1, State]
type = ChangeState
triggerall = StateNo <= 0
triggerall = P2Dist X > 125
triggerall = P2Dist X < 250
triggerall = StateType != A
triggerall = MoveType = I
triggerall = RoundState = 2
triggerall = Var(20) < 0
trigger1 = Var(21) = 6
value = 360

[State -1, State]
type = ChangeState
triggerall = StateNo <= 0
triggerall = P2Dist X <= 125
triggerall = StateType != A
triggerall = MoveType = I
triggerall = RoundState = 2
triggerall = Var(20) < 0
trigger1 = Var(21) = 5
value = 350

[State -1, State]
type = ChangeState
triggerall = StateNo <= 0
triggerall = P2Dist X <= 125
triggerall = StateType != A
triggerall = MoveType = I
triggerall = RoundState = 2
triggerall = Var(20) < 0
trigger1 = Var(21) = 4
value = 200

[State -1, State]
type = ChangeState
triggerall = StateNo <= 0
triggerall = P2Dist X > 125
triggerall = P2Dist X < 250
triggerall = StateType != A
triggerall = MoveType = I
triggerall = RoundState = 2
triggerall = Var(20) < 0
trigger1 = Var(21) = 3
value = 65

[State -1, State]
type = ChangeState
triggerall = StateNo <= 0
triggerall = P2Dist X >= 150
triggerall = StateType != A
triggerall = MoveType = I
triggerall = RoundState = 2
triggerall = Var(20) < 0
trigger1 = Var(21) = 2
value = 60

[State -1, State]
type = ChangeState
triggerall = StateNo <= 0
triggerall = StateType != A
triggerall = MoveType = I
triggerall = RoundState = 2
triggerall = Var(20) < 0
trigger1 = Var(21) = 1
value = 102

[State -1, State]
type = ChangeState
triggerall = StateNo <= 0
triggerall = P2Dist X >= 250
triggerall = StateType != A
triggerall = MoveType = I
triggerall = RoundState = 2
triggerall = Var(20) < 0
trigger1 = Var(21) = 0
value = 100
;--------------------

[State -1, CtrlSet]
type = CtrlSet
triggerall = Var(20) < 0 || Var(21) > 0
trigger1 = RoundState = 2
ignorehitpause = 1
value = 0

[State -1, CtrlSet]
type = CtrlSet
triggerall = Var(20) < 0 || Var(21) > 0
trigger1 = RoundState = 3
ignorehitpause = 1
value = 1

[State -1, Turn]
type = Turn
triggerall = Var(20) < 0 || Var(21) > 0
triggerall = StateType != A
triggerall = MoveType != A
trigger1 = P2Dist X < 0
trigger1 = StateNo <= 0
ignorehitpause = 1
;====================

;===========================================================================
;---------------------------------------------------------------------------
; Player Charge Release
;---------------------------------------------------------------------------
; Charged Sabre
[State -1, State]
type = ChangeState
triggerall = Var(20) >= 0
triggerall = NumHelper(390) > 0
triggerall = Helper(390), Anim = 390
triggerall = Command != "hold_x"
trigger1 = StateNo = 100
value = 700

[State -1, State]
type = ChangeState
triggerall = Var(20) >= 0
triggerall = NumHelper(390) > 0
triggerall = Helper(390), Anim = 390
triggerall = Command != "hold_x"
trigger1 = StateType != A
trigger1 = Ctrl
trigger2 = StateNo = 100
value = 200

[State -1, State]
type = ChangeState
triggerall = Var(20) >= 0
triggerall = NumHelper(390) > 0
triggerall = Helper(390), Anim = 391
triggerall = Command != "hold_x"
trigger1 = StateType != A
trigger1 = Ctrl
trigger2 = StateNo = 100
value = 260

[State -1, State]
type = ChangeState
triggerall = Var(20) >= 0
triggerall = NumHelper(390) > 0
triggerall = Helper(390), Anim = 390
triggerall = Command != "hold_x"
trigger1 = StateType = A
trigger1 = Ctrl
value = 600

[State -1, State]
type = ChangeState
triggerall = Var(20) >= 0
triggerall = NumHelper(390) > 0
triggerall = Helper(390), Anim = 391
triggerall = Command != "hold_x"
trigger1 = StateType = A
trigger1 = Ctrl
value = 660

;--------------------
; Charged Shot
[State -1, State]
type = ChangeState
triggerall = Var(20) >= 0
triggerall = NumHelper(391) > 0
triggerall = Command != "hold_y"
trigger1 = StateType != A
trigger1 = Ctrl
trigger2 = StateNo = 100
value = 300

[State -1, State]
type = ChangeState
triggerall = Var(20) >= 0
triggerall = NumHelper(396) > 0 || Var(32) > 0
triggerall = Command = "y"
trigger1 = StateType != A
trigger1 = Ctrl
trigger2 = StateNo = 100
trigger3 = StateNo = 300
trigger3 = Anim = 300
trigger3 = AnimElem = 4, > 0
value = 300

[State -1, State]
type = ChangeState
triggerall = Var(20) >= 0
triggerall = NumHelper(391) > 0
triggerall = Command != "hold_y"
trigger1 = StateType = A
trigger1 = Ctrl
value = 305

[State -1, State]
type = ChangeState
triggerall = Var(20) >= 0
triggerall = NumHelper(396) > 0 || Var(32) > 0
triggerall = Command = "y"
trigger1 = StateType = A
trigger1 = Ctrl
trigger2 = StateNo = 305
trigger2 = Anim = 305
trigger2 = AnimElem = 4, > 0
value = 305

;--------------------
; Sabre Blade
[State -1, State]
type = ChangeState
triggerall = Var(20) >= 0
triggerall = Var(32) <= 0
triggerall = Var(35) > 0
triggerall = Command = "y"
trigger1 = StateType != A
trigger1 = Ctrl
trigger2 = StateNo = 100
value = 235

[State -1, State]
type = ChangeState
triggerall = Var(20) >= 0
triggerall = Var(32) <= 0
triggerall = Var(35) > 0
triggerall = Command = "y"
trigger1 = StateType = A
trigger1 = Ctrl
value = 690

;===========================================================================
;---------------------------------------------------------------------------
; Player Charge System
;---------------------------------------------------------------------------
;-----| Variables |----------
;--- Charge Sabre Variable ---
[State -1, Reset]
type = VarSet
triggerall = Var(20) >= 0
trigger1 = Var(30) > 0
trigger1 = Command != "hold_x"
trigger2 = Var(31) > 0
ignorehitpause = 1
var(30) = 0

[State -1, Reset]
type = VarSet
trigger1 = Var(20) < 0
trigger2 = RoundState != 2
ignorehitpause = 1
var(30) = 0

[State -1, Charge]
type = VarAdd
triggerall = Anim < 6000
triggerall = MoveType = I
triggerall = StateNo < 6000
trigger1 = Command = "hold_x"
trigger1 = Var(20) >= 0
trigger1 = Var(30) < 100
trigger1 = Var(31) <= 0
ignorehitpause = 1
var(30) = 1

[State -1, Max]
type = VarSet
trigger1 = Var(30) >= 100
ignorehitpause = 1
var(30) = 100

;--- Charge Shot Variable ---
[State -1, Reset]
type = VarSet
triggerall = Var(20) >= 0
trigger1 = Var(30) > 0
trigger2 = Var(31) > 0
trigger2 = Command != "hold_y"
trigger3 = Var(32) > 0
trigger4 = Var(35) > 0
ignorehitpause = 1
var(31) = 0

[State -1, Reset]
type = VarSet
trigger1 = Var(20) < 0
trigger2 = RoundState != 2
ignorehitpause = 1
var(31) = 0

[State -1, Charge]
type = VarAdd
triggerall = Anim < 6000
triggerall = MoveType = I
triggerall = StateNo < 6000
trigger1 = Command = "hold_y"
trigger1 = Var(20) >= 0
trigger1 = Var(30) <= 0
trigger1 = Var(31) < 100
trigger1 = Var(32) <= 0
trigger1 = Var(35) <= 0
ignorehitpause = 1
var(31) = 1

[State -1, Max]
type = VarSet
trigger1 = Var(31) >= 100
ignorehitpause = 1
var(31) = 100
;-------------------------

;-----| Charged Sabre |-----
[State -1, Helper]
type = Helper
triggerall = Facing = 1
triggerall = Var(20) >= 0
triggerall = NumHelper(390) <= 0
triggerall = NumHelper(391) <= 0
trigger1 = Command = "hold_x"
trigger1 = Var(30) = 30
helpertype = normal
name = "Inner Charge"
ignorehitpause = 1
id = 390
facing = 1
pos = 0,-50
postype = p1
stateno = 390
keyctrl = 0
ownpal = 1

[State -1, Helper]
type = Helper
triggerall = Facing = 1
triggerall = Var(20) >= 0
triggerall = NumHelper(395) <= 0
triggerall = NumHelper(396) <= 0
trigger1 = Command = "hold_x"
trigger1 = Var(30) = 30
helpertype = normal
name = "Outer Charge"
ignorehitpause = 1
id = 395
facing = 1
pos = 0,-50
postype = p1
stateno = 395
keyctrl = 0
ownpal = 1

[State -1, Helper]
type = Helper
triggerall = Facing = -1
triggerall = Var(20) >= 0
triggerall = NumHelper(390) <= 0
triggerall = NumHelper(391) <= 0
trigger1 = Command = "hold_x"
trigger1 = Var(30) = 30
helpertype = normal
name = "Inner Charge"
ignorehitpause = 1
id = 390
facing = -1
pos = 0,-50
postype = p1
stateno = 390
keyctrl = 0
ownpal = 1

[State -1, Helper]
type = Helper
triggerall = Facing = -1
triggerall = Var(20) >= 0
triggerall = NumHelper(395) <= 0
triggerall = NumHelper(396) <= 0
trigger1 = Command = "hold_x"
trigger1 = Var(30) = 30
helpertype = normal
name = "Outer Charge"
ignorehitpause = 1
id = 395
facing = -1
pos = 0,-50
postype = p1
stateno = 395
keyctrl = 0
ownpal = 1
;-------------------------

;-----| Charged Shot |-----
[State -1, Helper]
type = Helper
triggerall = Facing = 1
triggerall = Var(20) >= 0
triggerall = NumHelper(390) <= 0
triggerall = NumHelper(391) <= 0
trigger1 = Command = "hold_y"
trigger1 = Var(31) = 30
helpertype = normal
name = "Inner Charge"
ignorehitpause = 1
id = 391
facing = 1
pos = 0,-50
postype = p1
stateno = 390
keyctrl = 0
ownpal = 1

[State -1, Helper]
type = Helper
triggerall = Facing = 1
triggerall = Var(20) >= 0
triggerall = NumHelper(395) <= 0
triggerall = NumHelper(396) <= 0
trigger1 = Command = "hold_y"
trigger1 = Var(31) = 30
helpertype = normal
name = "Outer Charge"
ignorehitpause = 1
id = 396
facing = 1
pos = 0,-50
postype = p1
stateno = 395
keyctrl = 0
ownpal = 1

[State -1, Helper]
type = Helper
triggerall = Facing = -1
triggerall = Var(20) >= 0
triggerall = NumHelper(390) <= 0
triggerall = NumHelper(391) <= 0
trigger1 = Command = "hold_y"
trigger1 = Var(31) = 30
helpertype = normal
name = "Inner Charge"
ignorehitpause = 1
id = 391
facing = -1
pos = 0,-50
postype = p1
stateno = 390
keyctrl = 0
ownpal = 1

[State -1, Helper]
type = Helper
triggerall = Facing = -1
triggerall = Var(20) >= 0
triggerall = NumHelper(395) <= 0
triggerall = NumHelper(396) <= 0
trigger1 = Command = "hold_y"
trigger1 = Var(31) = 30
helpertype = normal
name = "Outer Charge"
ignorehitpause = 1
id = 396
facing = -1
pos = 0,-50
postype = p1
stateno = 395
keyctrl = 0
ownpal = 1
;-------------------------

;===========================================================================
;---------------------------------------------------------------------------
; Player Commands
;---------------------------------------------------------------------------
; The Ultimate Move
[State -1, State]
type = ChangeState
value = 2500
triggerall = Var(20) >= 0
triggerall = Var(55) <= 0
triggerall = Var(56) <= 0
triggerall = Var(59) > 0
triggerall = Power >= 3000
triggerall = NumHelper(2510) <= 0
triggerall = command = "x" && command = "a"
trigger1 = statetype != A
trigger1 = ctrl

;---------------------------------------------------------------------------
; Reverse Ultimate Raging Omega Slash Combo
[State -1, State]
type = ChangeState
value = 2100
triggerall = Var(20) >= 0
triggerall = Var(55) > 0
triggerall = Var(56) = 1
triggerall = Power >= 1500
triggerall = Command = "omegasabre"
triggerall = StateType != A
trigger1 = StateNo >= 2000
trigger1 = StateNo < 2050
trigger2 = ctrl

;---------------------------------------------------------------------------
; 7-Slash Sabre Combo
[State -1, State]
type = ChangeState
value = 2100
triggerall = Var(20) >= 0
triggerall = Command = "omegasabre"
triggerall = NumTarget > 0
triggerall = Alive
triggerall = Life
trigger1 = StateType != A
ignorehitpause = 1

;---------------------------------------------------------------------------
; Power Up
[State -1, State]
type = ChangeState
value = 196
triggerall = Var(20) >= 0
triggerall = Var(55) <= 0
triggerall = Var(56) <= 0
triggerall = Var(59) > 0
triggerall = Power >= 3000
triggerall = command = "x" && command = "y" && command = "z"
trigger1 = statetype != A
trigger1 = ctrl

;---------------------------------------------------------------------------
; Light Beam Recover
[State -1, Attack]
type = ChangeState
value = 1000
triggerall = Var(20) >= 0
triggerall = command = "down+y"
trigger1 = statetype != A
trigger1 = ctrl

;---------------------------------------------------------------------------
; Ground Pound
[State -1, Attack]
type = ChangeState
value = 1100
triggerall = Var(20) >= 0
triggerall = command = "down_y"
trigger1 = statetype != A
trigger1 = ctrl

;---------------------------------------------------------------------------
; Sabre Dash Spin Attack
[State -1, Attack]
type = ChangeState
value = 710
triggerall = Var(20) >= 0
triggerall = command = "holddown" || command = "holdup"
triggerall = command = "x"
trigger1 = StateNo = 100
ignorehitpause = 1

;---------------------------------------------------------------------------
; Sabre Dash Stab
[State -1, Attack]
type = ChangeState
value = 720
triggerall = Var(20) >= 0
triggerall = command = "holdfwd"
triggerall = command = "x"
trigger1 = StateNo = 100
ignorehitpause = 1

;---------------------------------------------------------------------------
; Sabre Dash Slash
[State -1, Attack]
type = ChangeState
value = 700
triggerall = Var(20) >= 0
triggerall = command = "hold_z"
triggerall = command = "x"
trigger1 = StateNo = 100
ignorehitpause = 1

;---------------------------------------------------------------------------
; Sabre Uppercut
[State -1, Attack]
type = ChangeState
value = 230
triggerall = Var(20) >= 0
triggerall = command = "up_x"
trigger1 = StateNo = 210
trigger1 = Anim = 210
trigger1 = AnimElem = 5, >= 0
trigger2 = StateNo = 240
trigger2 = Anim = 240
trigger2 = AnimElem = 6, >= 0
trigger2 = PrevStateNo = 200
trigger3 = StateNo = 210 || StateNo = 240 && PrevStateNo = 200
trigger3 = StateTime > 0
trigger3 = Var(15) > 0
ignorehitpause = 1

;---------------------------------------------------------------------------
; Sabre Slash
[State -1, Attack]
type = ChangeState
value = 240
triggerall = Var(20) >= 0
triggerall = command = "holddown"
triggerall = command = "x"
trigger1 = statetype != A
trigger1 = ctrl

;---------------------------------------------------------------------------
; Rising Sabre
[State -1, Attack]
type = ChangeState
value = 250
triggerall = Var(20) >= 0
triggerall = command = "holdup"
triggerall = command = "x"
trigger1 = statetype != A
trigger1 = ctrl

;---------------------------------------------------------------------------
; Sabre Attack 1
[State -1, Attack]
type = ChangeState
value = 200
triggerall = Var(20) >= 0
triggerall = command = "x"
triggerall = statetype != A
trigger1 = ctrl

; Sabre Attack 2
[State -1, Attack]
type = ChangeState
value = 210
triggerall = Var(20) >= 0
triggerall = command = "x"
triggerall = StateType != A
trigger1 = StateNo = 200
trigger1 = Anim = 200
trigger1 = AnimElem = 6, >= 0
trigger2 = StateNo = 200
trigger2 = StateTime > 0
trigger2 = Var(15) > 0
ignorehitpause = 1

; Sabre Attack 3
[State -1, Attack]
type = ChangeState
value = 220
triggerall = Var(20) >= 0
triggerall = command = "x"
triggerall = StateType != A
trigger1 = StateNo = 210
trigger1 = Anim = 210
trigger1 = AnimElem = 5, >= 0
trigger2 = StateNo = 210
trigger2 = StateTime > 0
trigger2 = Var(15) > 0
ignorehitpause = 1

;---------------------------------------------------------------------------
; Buster Shot
[State -1, Attack]
type = ChangeState
value = 300
triggerall = Var(20) >= 0
triggerall = command = "y"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = StateNo = 100

; Buster Shot Air
[State -1, Attack]
type = ChangeState
value = 305
triggerall = Var(20) >= 0
triggerall = command = "y"
triggerall = statetype = A
trigger1 = ctrl

;---------------------------------------------------------------------------
; Jump Sabre Stab
[State -1, Attack]
type = ChangeState
value = 640
triggerall = Var(20) >= 0
triggerall = command = "holddown"
triggerall = command = "x"
trigger1 = statetype = A
trigger1 = ctrl

;---------------------------------------------------------------------------
; Jump Spin Sabre Slash
[State -1, Attack]
type = ChangeState
value = 620
triggerall = Var(5) > 0
triggerall = Var(20) >= 0
triggerall = PrevStateNo = 45
triggerall = Pos Y <= -50 * Const(size.yscale)
triggerall = command = "holdup"
triggerall = command = "x"
triggerall = statetype = A
trigger1 = ctrl

;---------------------------------------------------------------------------
; Jump Spin Sabre
[State -1, Attack]
type = ChangeState
value = 610
triggerall = Var(20) >= 0
triggerall = command = "x"
triggerall = statetype = A
trigger1 = StateNo = 600
trigger1 = AnimElem = 6, >= 0
trigger2 = StateNo = 600
trigger2 = StateTime > 0
trigger2 = Var(15) > 0
trigger3 = command = "holdup"
trigger3 = ctrl

;---------------------------------------------------------------------------
; Jump Sabre
[State -1, Attack]
type = ChangeState
value = 600
triggerall = Var(20) >= 0
triggerall = command = "x"
trigger1 = statetype = A
trigger1 = ctrl

;---------------------------------------------------------------------------
; Jump Back
[State -1, State]
type = null ;ChangeState
value = 105
triggerall = Var(20) >= 0
triggerall = Var(59) <= 0
triggerall = command = "holdback" && command = "z" || command = "BB"
trigger1 = statetype != A
trigger1 = ctrl

;---------------------------------------------------------------------------
; Dash
[State -1, State]
type = ChangeState
value = 100
triggerall = Var(20) >= 0
triggerall = Var(59) <= 0
triggerall = command = "z" || command = "FF"
trigger1 = statetype != A
trigger1 = ctrl

;---------------------------------------------------------------------------
; Jump
[State -1, State]
type = ChangeState
value = 55
triggerall = Var(20) >= 0
triggerall = command = "a"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = StateNo = 100

; Air Jump
[State -1, State]
type = ChangeState
value = 45
triggerall = Var(20) >= 0
triggerall = Var(5) <= 0
triggerall = command = "a"
trigger1 = statetype = A
trigger1 = ctrl

;---------------------------------------------------------------------------
; Taunt (Upright Stand)
[State -1, State]
type = ChangeState
value = 195
triggerall = Var(55) <= 0
triggerall = Var(59) <= 0
triggerall = Var(20) >= 0
triggerall = command = "s"
trigger1 = statetype != A
trigger1 = ctrl

; Taunt (Normal Stand)
[State -1, State]
type = ChangeState
value = 194
triggerall = Var(55) <= 0
triggerall = Var(59) > 0
triggerall = Var(20) >= 0
triggerall = command = "s"
trigger1 = statetype != A
trigger1 = ctrl

;---------------------------------------------------------------------------
